﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace TestWindowsApp
{
    public class Window_DockBindingViewModel : Infragistics.PropertyChangeNotifier
    {
        private ObservableCollection<Person> _splitItems;
        public ObservableCollection<Person> SplitItems
        {
            get { return _splitItems; }
            set
            {
                _splitItems = value;
                OnPropertyChanged("SplitItems");
            }
        }

        private DelegateCommand _activateSecondPaneCommand;
        public DelegateCommand ActivateSecondPaneCommand
        {
            get { return _activateSecondPaneCommand; }
            set
            {
                _activateSecondPaneCommand = value;
                OnPropertyChanged("ActivateSecondPaneCommand");
            }
        }

        public Window_DockBindingViewModel()
        {
            _splitItems = SampleHelper.CreatePeopleList();
            _activateSecondPaneCommand = new DelegateCommand(SelectSecondPane);
        }

        private void SelectSecondPane()
        {
            _splitItems[1].IsActive = true;

            Console.WriteLine("========================");
        }
    }
}
